import numpy as np
from scipy.integrate import simps, quad

def f1(x):
    return 1 + x**2

def f2(x):
    return np.exp(-x**2)

# Integrate f1 by samples
x = np.linspace(1.0, 3.5, 50)
f = f1(x)
int1 = simps(f, x)
print "Integral of 1+x**2 with simps: {0:f}".format(int1)
# Integrate f1 by function object
int1, err = quad(f1, 1.0, 3.5)
print "Integral of 1+x**2 with quad: {0:f} (error={1:e})".format(int1, err)

# Integrate f1 by samples
x = np.linspace(0.0, 100000, 50000)
f = f2(x)
int2 = simps(f, x)
print "Integral of exp(-x**2) with simps: {0:f}".format(int2)
# Integrate f1 by function object
int2, err = quad(f2, 0.0, np.inf)
print "Integral of exp(-x**2) with quad: {0:f} (error={1:e})".format(int2, err)
