from timeit import Timer

setup = '''
import numpy as np
from fidi import fidi as cfidi

def fidi(x, h, phi):
    # b = x / h**2
    h2inv = 1./ h**2
    # Boundary conditions
    phi[1:-1] = (x[:-2] - 2*x[1:-1] + x[2:]) * h2inv
    phi[0] = (- 2*x[1] + x[2]) * h2inv
    phi[-1] = (x[-2] - 2*x[-1]) * h2inv

a = 0
b = 1000.0
h = 0.02
x = np.arange(a+h, b, h)
N = len(x)
rho = 2 * x**2 - 1
phi = np.zeros_like(rho)
'''
t0 = Timer('fidi(rho, h, phi)', setup).timeit(10000)
t1 = Timer('cfidi(rho, h, phi)', setup).timeit(10000)
print t0, t1



