import sys

pdbfilename = sys.argv[1]
prefix = pdbfilename.split('.')[0]
xyzfilename = prefix + '.xyz'

pdbfile = open(pdbfilename, 'r')

# read the pdb-file
atoms = []
for line in pdbfile:
    if 'ATOM' in line:
        line = line.split()
        symbol = line[2]
        coords = [float(x) for x in line[3:6]]
        atoms.append((symbol, coords))

pdbfile.close()

# write the xyz-file
xyzfile = open(xyzfilename, 'w')
xyzfile.write("{0}\n".format(len(atoms)))
xyzfile.write("Converted from PDB\n")
for atom in atoms:
    xyzfile.write("{0:2s} {1:10.6f} {2:10.6f} {3:10.6f}\n".format(atom[0], 
                  atom[1][0], atom[1][1], atom[1][2]))
xyzfile.close()
    
