from math import pi

class Circle:
    def __init__(self, r):
        self.r = r

    def area(self):
        return pi * self.r**2

    def circumference(self):
        return 2 * pi * self.r

class Sphere(Circle):
    def circumference(self):
        raise RuntimeError('Sphere does not have circumference')
    def area(self):
        return 4 * pi * self.r**2

    def volume(self):
        return 4.0/3.0 * pi * self.r**3

spheres = [Sphere(2.0), Sphere(3.2)]
for i, s in enumerate(spheres):
    print "Area and volume of sphere {0:d}: {1:5.2f}, {2:5.2f}".format(i, 
           s.area(), s.volume())

spheres[0].circumference()
