
class Solvent:
    def read(self, f):
        line = f.readline()
        if not line:
            raise IOError('End of file')
        line = line.split()
        # print line
        name, formula, bp, dc, dens = [item for item in line]
        bp = float(bp)
        dc = float(dc)
        dens = float(dens)
        self.name = name
        self.formula = formula
        self.bp = bp     # boiling point
        self.dc = dc     # dielectric constant
        self.dens = dens # density

    def mass(self, volume):
        return self.dens * volume

    def __cmp__(self, other):
        return cmp(self.dens, other.dens)


f = open('solvents.dat', 'r')
# read the header
f.readline()
solvents = []
while True:
    solvent = Solvent()
    try:
        solvent.read(f)
    except IOError:
        break
    solvents.append(solvent)

solvents.sort()
# sort could be done also with sorted function and attrgetter
# from operator import attrgetter
# solvents = sorted(solvents, key=attrgetter('dens'))

for solvent in solvents:
    print solvent.name, solvent.dens
