import numpy as np
import pylab as pl

f = open('atomization_energies.dat', 'r')
# create lists for all the columns
dataexp= []
datapbe = []
datatpss = []
datarevtpss = []
datam06 = []
mark_labels = []
# read the data
for line in f:
    if line.startswith('#'):
        continue
    line = line.split()
    dataexp.append(float(line[5]))
    datapbe.append(float(line[1]))
    datatpss.append(float(line[2]))
    datarevtpss.append(float(line[3]))
    datam06.append(float(line[4]))
    mark_labels.append(line[0])

# make the plots
pl.hold(True)
pl.plot(datapbe, 'black', marker='.', label='PBE', markersize=8)
pl.plot(datatpss, 'magenta', marker='+', label='TPSS', markersize=8)
pl.plot(datarevtpss, 'green', marker='*', label='revTPSS', markersize=8)
pl.plot(datam06, 'blue', marker='v', label='M06-L', markersize=8)
# create labels and legens
pl.ylabel('$\Delta$E (eV)', fontsize=15, fontweight='bold')
pl.legend(loc='upper left')
pl.xticks(range(0,len(dataexp)), mark_labels, fontsize=12, fontweight='bold')
pl.show()

